;
; Simple script to start various BFF software apps automatically
;

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.


;MsgBox, About to start.....

FileAppend, ==================== `nAuto_Start Log at %A_Now%....`n`n, Logs/Auto_Start.log


;Run each application...

;1st start the CL Controller

App1 := "BFF_CL_Controller_V06.exe"

Dir1 := ""

iret := BFF_Run(App1, Dir1, App1_PID, App1_Return)

FileAppend, `n%App1% at %Dir1% PID: %App1_PID% Return: %App1_Return% BFF_Run: %iret%   `n, Logs/Auto_Start.log

Sleep, 2000

;MsgBox, %App1% should be running now....



;Then the Tiller/Toe Brakes Feeder App

App2 := "Feeder-Tiller/Tiller_Feeder_V05.exe"

Dir2 := "Feeder-Tiller"

iret := BFF_Run(App2, Dir2, App2_PID, App2_Return)

FileAppend, `n%App2% at %Dir2% PID: %App2_PID% Return: %App2_Return% BFF_Run: %iret%   `n, Logs/Auto_Start.log

Sleep, 2000





ExitApp


;And the run function

BFF_Run(App, Dir, ByRef App_PID, ByRef App_Err)
{
  Run, %App%, %Dir%, UseErrorLevel, App_PID
  App_Err := A_LastError
  WinWait ahk_pid %App_PID%,,20 ;20 secs timeout
  iret := ErrorLevel
  if (iret = 1)
    MsgBox, %App% `n`nfailed to start.... continuing.

Return, iret
} 